# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Header: $

EAPI="3"
RPM_VER="1.1"

inherit eutils rpm

DESCRIPTION="opsi utils"
HOMEPAGE="http://opsi.org/"
SRC_URI="http://download.opensuse.org/repositories/home:/uibmz:/opsi:/opsi40/openSUSE_12.2/src/${P}-${RPM_VER}.src.rpm"

LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~arm ~x86"
IUSE=""

RDEPEND="dev-python/python-opsi"
DEPEND="${RDEPEND}
	sys-devel/gettext"

src_compile() {
	msgfmt -o de.mo gettext/opsi-utils_de.po
	msgfmt -o fr.mo gettext/opsi-utils_fr.po
}

src_install() {
	dobin opsi-admin
	dobin opsi-newprod
	dobin opsi-makeproductfile
	dobin opsi-package-manager
	dobin opsi-product-updater
	dobin opsi-convert
	dobin opsi-backup

	domo de.mo
	domo fr.mo

	insinto /etc/opsi
	doins data/opsi-product-updater.conf
}
